View Issue Details

IDProjectCategoryView StatusLast Update
0003471Ham Radio DeluxeEnhancementpublic2019-11-08 02:32
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.7.0.227 
Target VersionFixed in Version6.7.0.244 
Summary0003471: Panadapter colors could be settable
DescriptionThe graph colors of the panadapter are fixed. Users probably want to change settings for personal preference, so we should offer settings to do so.

TagsNo tags attached.
ModuleRig Control
Sub-ModulePanadapter
Testing Beta Successful

Relationships

related to 0003472 feedbackg3ucq 3 - Current Dev List settings for brightness and contrast in waterfall 

Activities

K7ZCZ

2019-10-13 14:26

administrator   ~0008810

With this change set, the options dialog has a way to specify colors for the waveform line and the waveform background.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5207

Coloring the waterfall itself is a bit trickier, as the waterfall is intensity-based so we'd be aiming at a maximum color. But we'd also want a secondary color to use as "super bright" after a certain threshhold. Maybe we para-metrically express both colors plus the thresh-hold point, or maybe there are other algorithms that we might want to (optionally) use. Seems best to wait for customer feedback at this point.

g3ucq

2019-10-23 04:31

viewer   ~0008947

Colour options available.

WA9PIE

2019-10-23 21:32

administrator   ~0008994

Validated

Issue History

Date Modified Username Field Change
2019-09-26 22:35 K7ZCZ New Issue
2019-10-13 12:55 K7ZCZ Relationship added related to 0003472
2019-10-13 14:26 K7ZCZ Assigned To => K7ZCZ
2019-10-13 14:26 K7ZCZ Status new => resolved
2019-10-13 14:26 K7ZCZ Resolution open => fixed
2019-10-13 14:26 K7ZCZ Note Added: 0008810
2019-10-21 17:01 K7ZCZ Fixed in Version => 6.7.0.235
2019-10-23 04:31 g3ucq Note Added: 0008947
2019-10-23 21:32 WA9PIE Status resolved => closed
2019-10-23 21:32 WA9PIE Description Updated View Revisions
2019-10-23 21:32 WA9PIE Sub-Module (select) => Panadapter
2019-10-23 21:32 WA9PIE Testing Not Started => Beta Successful
2019-10-23 21:32 WA9PIE Note Added: 0008994
2019-11-08 02:12 WA9PIE Fixed in Version 6.7.0.235 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe